Make a quick vote 🗳 ️How do you refer to SuiteCRM extensions: add-ons or plug-ins? Click here to have your say 👈

SuiteCRM 8.0.2 installation on Plesk fails

Hi,

I have a dedicated server running the following stack:
Ubuntu 20.04
Plesk 18.0.40
LiteSpeed Webserver Plesk Module with LSWS 6.0.11

When trying to install SuiteCRM 8.0.2 the installation via the installation page seems to fail.
The following Console output:
ERROR Error: undefined
at new t (node_modules_apollo-angular_fesm2015_ngApollo_js-_0ddc0-es2015.61174b6c181ee75a9531.js:1)
at Object.error (node_modules_apollo-angular_fesm2015_ngApollo_js-_0ddc0-es2015.61174b6c181ee75a9531.js:1)
at v (core_app_shell_src_bootstrap_ts-es2015.45a23e1d6b31ca7cadcb.js:1)
at _ (core_app_shell_src_bootstrap_ts-es2015.45a23e1d6b31ca7cadcb.js:1)
at e.t.error (core_app_shell_src_bootstrap_ts-es2015.45a23e1d6b31ca7cadcb.js:1)
at Object.error (node_modules_apollo-angular_fesm2015_ngApollo_js-_0ddc0-es2015.61174b6c181ee75a9531.js:1)
at v (core_app_shell_src_bootstrap_ts-es2015.45a23e1d6b31ca7cadcb.js:1)
at _ (core_app_shell_src_bootstrap_ts-es2015.45a23e1d6b31ca7cadcb.js:1)
at e.t.error (core_app_shell_src_bootstrap_ts-es2015.45a23e1d6b31ca7cadcb.js:1)
at node_modules_apollo-angular_fesm2015_ngApollo_js-_0ddc0-es2015.61174b6c181ee75a9531.js:1
ni @ node_modules_angular_core_fesm2015_core_js-es2015.8c2f5cd6741b688000bc.js:1

This is the Webserver log:
|2022-01-28 15:28:01|Access|84.115.211.69|200|POST /api/graphql HTTP/1.1|https://crm.domain.com/|Mozilla/5.0 (Macintosh; Intel Mac OS X 11_6_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/89.0.4389.72 Safari/537.36|0|Apache SSL/TLS access|
|—|—|—|—|—|—|—|—|—|
|2022-01-28 15:28:02|Error|||.022347 [INFO] [3552100] [T4] [84.115.211.69:15056-Q:F6F4BDCAFA5186F8-3#APVH_crm.domain.com:443] Error while parsing request: (null)!||||Apache error|

This is the install.log
[2022-01-28 14:28:04] install.INFO: Running step: check-install-lock [] []
[2022-01-28 14:28:04] install.INFO: step: check-install-lock | status: done [] []
[2022-01-28 14:28:04] install.INFO: step: check-install-lock | messages: [] []
[2022-01-28 14:28:04] install.INFO: Installer not locked. Proceeding with install [] []
[2022-01-28 14:28:04] install.INFO: step: check-install-lock | debug: no debug info [] []
[2022-01-28 14:28:04] install.INFO: Running step: check-db-connection [] []
[2022-01-28 14:28:04] install.INFO: step: check-db-connection | status: done [] []
[2022-01-28 14:28:04] install.INFO: step: check-db-connection | messages: [] []
[2022-01-28 14:28:04] install.INFO: DB credentials ok [] []
[2022-01-28 14:28:04] install.INFO: step: check-db-connection | debug: no debug info [] []
[2022-01-28 14:28:04] install.INFO: Running step: install-system-checks [] []
[2022-01-28 14:28:04] install.INFO: step: install-system-checks | status: done [] []
[2022-01-28 14:28:04] install.INFO: step: install-system-checks | messages: no messages [] []
[2022-01-28 14:28:04] install.INFO: step: install-system-checks | debug: no debug info [] []
[2022-01-28 14:28:04] install.INFO: Running step: create-config [] []
[2022-01-28 14:28:04] install.INFO: step: create-config | status: done [] []
[2022-01-28 14:28:04] install.INFO: step: create-config | messages: [] []
[2022-01-28 14:28:04] install.INFO: Created silent install config: config_si.php [] []
[2022-01-28 14:28:04] install.INFO: step: create-config | debug: no debug info [] []
[2022-01-28 14:28:04] install.INFO: Running step: create-env [] []
[2022-01-28 14:28:04] install.INFO: step: create-env | status: done [] []
[2022-01-28 14:28:04] install.INFO: step: create-env | messages: [] []
[2022-01-28 14:28:04] install.INFO: Created .env.local [] []
[2022-01-28 14:28:04] install.INFO: step: create-env | debug: no debug info [] []
[2022-01-28 14:28:04] install.INFO: Running step: run-legacy-install [] []

as none of the errors are helpful in any way I hoped maybe someone knows what is wrong.
I followed this guide:

This is an installation on a test domain. No hurry. Just wanted to check the new version out.

I hope someone can tell me where I went wrong.

Thanks!

Hi @convernatics,

Thanks for trying out SuiteCRM 8.

For debug purposes, could check the following please?

  • On the file .env change the APP_ENV=prod to APP_ENV=qa
  • open the browser devtools
  • try to open the page again
  • Check the network tab for a graphql with an error entry on the response
  • This error should have a stack trace.

Hi clemente,

Thanks for your really fast response!

Now I get a completely blank page with this error in the console:

ERROR Error: Internal server error
    at new t (node_modules_apollo-angular_fesm2015_ngApollo_js-_0ddc0-es2015.61174b6c181ee75a9531.js:1)
    at node_modules_apollo-angular_fesm2015_ngApollo_js-_0ddc0-es2015.61174b6c181ee75a9531.js:1
    at r (node_modules_apollo-angular_fesm2015_ngApollo_js-_0ddc0-es2015.61174b6c181ee75a9531.js:1)
    at node_modules_apollo-angular_fesm2015_ngApollo_js-_0ddc0-es2015.61174b6c181ee75a9531.js:1
    at new P (polyfills-es2015.6f1d2b4600f0823f146f.js:1)
    at Object.then (node_modules_apollo-angular_fesm2015_ngApollo_js-_0ddc0-es2015.61174b6c181ee75a9531.js:1)
    at Object.next (node_modules_apollo-angular_fesm2015_ngApollo_js-_0ddc0-es2015.61174b6c181ee75a9531.js:1)
    at v (core_app_shell_src_bootstrap_ts-es2015.45a23e1d6b31ca7cadcb.js:1)
    at _ (core_app_shell_src_bootstrap_ts-es2015.45a23e1d6b31ca7cadcb.js:1)
    at e.t.next (core_app_shell_src_bootstrap_ts-es2015.45a23e1d6b31ca7cadcb.js:1)

Sorry - the thing you asked for is here:

1. {errors: [{debugMessage: "Warning: Undefined array key "default_currency_name"",…}],…}

  1. data: {systemConfigs: null}
  2. errors: [{debugMessage: "Warning: Undefined array key "default_currency_name"",…}]

Hi @convernatics,

Sorry for the delay in replying.

What version of php are you using? At the moment I would recommend using 7.4, as there were some compatibility issue found when using php 8, which are still being worked on.

this error popups up when installing Latest v8.1

Localhost is running on a Port so the Url is http://localhost:8888/

Hi @convernatics

If for production use I wouldn’t recommend that you install and use the new 8.x.x versions as they are too new and too buggy. It needs more time to mature before it is stable enough for production.

Instead use the SuiteCRM 7.12 which you can download here:
https://shorturl.gg/download-suitecrm

Kind regards
PowerQuest